package uniovi;

import org.apache.xerces.parsers.DOMParser;
import org.w3c.dom.*;


public class NotaMediaDOM {
	
	private float sumaNotas = 0;
	private float numNotas  = 0;

	  public NotaMediaDOM(String uri) throws Exception
	  {
	    System.out.println("Documento: " + uri);
	    DOMParser parser = new DOMParser();
	    parser.parse(uri);
	    Document document = parser.getDocument();
	    cuentaNotas(document);

	  }

	  public static void main(String[] args) throws Exception
	  {
	    if (args.length != 1)
	    {
	      System.out.println("Modo de empleo: NotaMediaDOM " +
	                         "<URI del documento XML>");
	      System.exit(0);
	    }
	    new NotaMediaDOM(args[0]);
	  }
	  
	  private void cuentaNotas(Document d)
	  {
	  	NodeList alumnos = d.getElementsByTagName("alumno");
	  	numNotas = alumnos.getLength();
	  	for (int i = 0; i < alumnos.getLength(); i++ ) {
	  		Node n = alumnos.item(i);
	  		NodeList hijos = n.getChildNodes();
	  		for (int j = 0; j < hijos.getLength(); j++) {
	  			Node h = hijos.item(j);
	  			if (h.getLocalName() == "nota") { 
	  				Text t = (Text) h.getFirstChild();
	  				float nota = Float.parseFloat(t.getData());
	  				sumaNotas += nota;
	  			}
	  		}
	  		
	  	}

	  	System.out.println("Nota media (DOM) = " + sumaNotas / numNotas);
	  	
	  }

}